
[H] High priority
[M] Medium priority
[L] Low priority (nice to have)
[?] I am not sure.

Graphics 
~~~~~~~~

 [M] Draw Mousecursors for
        - text normal, link (in help window)
        - what's this (query tool), bulldoze
        - (eventually also loading and scrolling)

 [L] Animation of rocket launch 

Sounds
~~~~~~
 [L] Add sound for rocket launch and rocket crash. 


Programming
~~~~~~~~~~~

--Gui--
 [M] Implement dirty rectangle methods to only redraw when needed
 [?] Think about mechanism for attach arbitrary properties to components
    (for tooltips, styles (and layout data?) )
 [M] drawToTexture in OpenGL (noone using this at the moment, could be used to
     optimize minimap in the future. Maybe this is a good starting point :
     http://www.paulsprojects.net/opengl/rtotex/rtotex.html)
     glTexSubImage2D might be helpfull
 [?] Usability testing log. That the buttons the user pressed (and additional
     actions like scrolling the map, creating buildings, displaying building
     stats). This could be used to measure common user actions and improve
     usability.
 [M] Resize "help" window.

--Bugs--
 [L] New text on buttons is truncated to original textlength. 
     (eg in load game menu) Buttons that had an empty string as caption once
     won't change to anything else. At least the caption is not shown.
 [M] Get rid of all the compiler warnings.

--Translations/Help--
 [H] There were help page without any link to them. Some of the texts
     are just wrong because they were taken from classic without any
     adjustment to the new gui.
     This should is fixed for english version in svn 1162 (march 2007), but
     need to be checked for other languages. see:
     http://lincity-ng.berlios.de/wiki/index.php/Translate#Maintaining_existing_translations

--Game--
 [L] Implement a What's this button - down to [L], we can simply open the front
     page of the help file for now... Right click for help for nearly every button.
 [M] Print out more debug infos that user can send in with debug reports:
     architecture?, SDL version, opengl driver name, SDL software driver name,
     SDL sound driver name, screen resolution
 [?] Looks like watching electricity minimap uses power. Seems to be this way
     in classic already. Do we want to change that? No.
 [M] "Dungeon Keeper"-like message queue

-- Infrastructure/Deployment --
 [H] Setup an automatic backup script for the wiki!
 [L] Is it possible to automatically generate/maintain a ChangeLog file from svn
     commits?  (Nathan: http://tiefighter.et.tudelft.nl/~arthur/svn2cl/)
